[Numpy-discussion] Istalling Numpy and Scipy on preinstalled Python 2.6 on Mac

Pierre GM pgmdevlist@gmail....
Sun Jul 15 16:51:25 CDT 2012


Hello,
I assume you checked that ?
http://www.scipy.org/Installing_SciPy/Mac_OS_X
You basically have everything you need there. A basic warning, though:  you don't want to overwrite Mac OS X's own numpy, but to install it either locally (in ~/.local, using python setup.install --user) or in a virtual environment (http://www.doughellmann.com/projects/virtualenvwrapper/) 
Note that virtualenvwrapper allows you to specify the version of python to use during the compilation (using the -p or --python= flag). But you could do it yourself when compiling the sources: just use `your_path_to_your_python_version setup install --user`
Let me know how it goes

-- 
Pierre GM


On Friday, July 13, 2012 at 19:22 , Naser Nikandish wrote:

> Hi,
> 
> I need to install numpy and scipy on preinstalled Python 2.6 on my Mac Lion. Is there anyway to do it? I am aware that Lion OS comes with Python 2.7 as well. But I have to install it on Python 2.6. I really appreciate any help.
> 
> Cheers
> 
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org (mailto:NumPy-Discussion@scipy.org)
> http://mail.scipy.org/mailman/listinfo/numpy-discussion
> 
> 


-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20120715/954aa5d8/attachment.html 


More information about the NumPy-Discussion mailing list